// Домаћица матица је на журку позвала своје пријатеље, брачне парове пчеле и трутове. Пошто је гостију пуно,
// свако је добио број столице. Брачни парови су добили исте бројеве. Који број је добила матица?

// Улаз: Са стандардног улаза уноси се број n, а затим и n природних бројева, сваки у посебном реду, од којих
// се сви осим једног јављају тачно два пута.

// Излаз: На стандардни излаз исписати један број - онај који се на улазу јавио тачно једном.

#include <iostream>
#include <vector>
#include <algorithm>

int neupareni_element(std::vector<int> a)
{
    int n = a.size();

    std::sort(a.begin(), a.end());

    // 1 1 2 2 5
    for (int i = 0; i < n - 1; i+= 2) {
        if (a[i] != a[i + 1]) {
            return a[i];
        }
    }

    return a[n - 1];
}

int main ()
{
    int n, x;

    std::cin >> n;

    std::vector<int> a;

    for (int i = 0; i < n; i++) {
        std::cin >> x;
        a.push_back(x);
    }

    std::cout << neupareni_element(a) << "\n";

    return 0;
}